<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>IBDocuments documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$IBDocuments">IBDocuments documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the IBDocuments protocol
      </a></h1>
    <h2><a name="protocol$(IBDocuments)">IBDocuments</a></h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>InterfaceBuilder/IBDocuments.h</dd>
      </dl>
    </blockquote>
    <blockquote>
      <dl>
        <dt><b>Conforms to:</b></dt>
        <dd>NSObject</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-actionsOfClass$">-actionsOfClass:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-addConnector$">-addConnector:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-allConnectors">-allConnectors</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-attachObject$toParent$">-attachObject:toParent:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-attachObjects$toParent$">-attachObjects:toParent:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-classForObject$">-classForObject:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-connectorsForDestination$">-connectorsForDestination:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-connectorsForDestination$ofClass$">-connectorsForDestination:ofClass:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-connectorsForSource$">-connectorsForSource:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-connectorsForSource$ofClass$">-connectorsForSource:ofClass:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-containsObject$">-containsObject:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-containsObjectWithName$forParent$">-containsObjectWithName:forParent:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-copyObject$type$toPasteboard$">-copyObject:type:toPasteboard:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-copyObjects$type$toPasteboard$">-copyObjects:type:toPasteboard:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-detachObject$">-detachObject:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-detachObject$closeEditor$">-detachObject:closeEditor:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-detachObjects$">-detachObjects:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-detachObjects$closeEditors$">-detachObjects:closeEditors:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-documentPath">-documentPath</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-editor$didCloseForObject$">-editor:didCloseForObject:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-editorForObject$create$">-editorForObject:create:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-editorForObject$inEditor$create$">-editorForObject:inEditor:create:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-nameForObject$">-nameForObject:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-objectForName$">-objectForName:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-objects">-objects</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-openEditorForObject$">-openEditorForObject:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-outletsOfClass$">-outletsOfClass:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-parentEditorForEditor$">-parentEditorForEditor:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-parentOfObject$">-parentOfObject:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-pasteType$fromPasteboard$parent$">-pasteType:fromPasteboard:parent:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-removeConnector$">-removeConnector:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-resignSelectionForEditor$">-resignSelectionForEditor:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-setName$forObject$">-setName:forObject:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-setSelectionFromEditor$">-setSelectionFromEditor:</a></li>
      <li><a rel="gsdoc" href="IBDocuments.html#method$(IBDocuments)-touch">-touch</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$(IBDocuments)-actionsOfClass$">actionsOfClass:&nbsp;</a></h3>
    - (NSArray*) <b>actionsOfClass:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-addConnector$">addConnector:&nbsp;</a></h3>
    - (void) <b>addConnector:</b> (id<<a rel="gsdoc" href="IBConnectors.html#protocol$(IBConnectors)">IBConnectors</a>>)aConnector;<br />
    <div class="desc">
      
            Add a connection
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-allConnectors">allConnectors&nbsp;</a></h3>
    - (NSArray*) <b>allConnectors</b>;<br />
    <div class="desc">
      
            Returns an array containing all connections for the
            receiver.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-attachObject$toParent$">attachObject:&nbsp;toParent:&nbsp;</a></h3>
    - (void) <b>attachObject:</b> (id)anObject<b> toParent:</b> (id)aParent;<br />
    <div class="desc">
      
            Attaches an object to the document and makes the
            association with the parent.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-attachObjects$toParent$">attachObjects:&nbsp;toParent:&nbsp;</a></h3>
    - (void) <b>attachObjects:</b> (NSArray*)anArray<b> toParent:</b> (id)aParent;<br />
    <div class="desc">
      
            Iterates over <var>anArray</var> and attaches all
            objects in it to the receiver with
            <var>aParent</var> as the parent.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-classForObject$">classForObject:&nbsp;</a></h3>
    - (NSString*) <b>classForObject:</b> (id)obj;<br />
    <div class="desc">
      
            Returns a string with the name of the class for the
            given object.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-connectorsForDestination$">connectorsForDestination:&nbsp;</a></h3>
    - (NSArray*) <b>connectorsForDestination:</b> (id)destination;<br />
    <div class="desc">
      
            Returns an autoreleased array containing all
            connections for the given
            <var>destination</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-connectorsForDestination$ofClass$">connectorsForDestination:&nbsp;ofClass:&nbsp;</a></h3>
    - (NSArray*) <b>connectorsForDestination:</b> (id)destination<b> ofClass:</b> (Class)aConnectorClass;<br />
    <div class="desc">
      
            Returns an autoreleased array containing all
            connectors of the given class for the
            <var>destination</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-connectorsForSource$">connectorsForSource:&nbsp;</a></h3>
    - (NSArray*) <b>connectorsForSource:</b> (id)source;<br />
    <div class="desc">
      
            Returns an autoreleased array containing all
            connections for the given <var>source</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-connectorsForSource$ofClass$">connectorsForSource:&nbsp;ofClass:&nbsp;</a></h3>
    - (NSArray*) <b>connectorsForSource:</b> (id)source<b> ofClass:</b> (Class)aConnectorClass;<br />
    <div class="desc">
      
            Returns an autoreleased array containing all
            connectors of the given class for the
            <var>source</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-containsObject$">containsObject:&nbsp;</a></h3>
    - (BOOL) <b>containsObject:</b> (id)anObject;<br />
    <div class="desc">
      
            Returns <code>YES</code>, if the receiver contains
            <var>anObject</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-containsObjectWithName$forParent$">containsObjectWithName:&nbsp;forParent:&nbsp;</a></h3>
    - (BOOL) <b>containsObjectWithName:</b> (NSString*)aName<b> forParent:</b> (id)parent;<br />
    <div class="desc">
      
            Returns <code>YES</code>, if the receiver contains
            an object with the given name and <var>parent</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-copyObject$type$toPasteboard$">copyObject:&nbsp;type:&nbsp;toPasteboard:&nbsp;</a></h3>
    - (BOOL) <b>copyObject:</b> (id)anObject<b> type:</b> (NSString*)aType<b> toPasteboard:</b> (NSPasteboard*)aPasteboard;<br />
    <div class="desc">
      
            Copies <var>anObject</var> to the pasteboard with
            the <var>aType</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-copyObjects$type$toPasteboard$">copyObjects:&nbsp;type:&nbsp;toPasteboard:&nbsp;</a></h3>
    - (BOOL) <b>copyObjects:</b> (NSArray*)anArray<b> type:</b> (NSString*)aType<b> toPasteboard:</b> (NSPasteboard*)aPasteboard;<br />
    <div class="desc">
      
            Copues an array of objects to <var>aPasteboard</var>
            with <var>aType</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-detachObject$">detachObject:&nbsp;</a></h3>
    - (void) <b>detachObject:</b> (id)anObject;<br />
    <div class="desc">
      
            Detaches <var>anObject</var> from the receiver.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-detachObject$closeEditor$">detachObject:&nbsp;closeEditor:&nbsp;</a></h3>
    - (void) <b>detachObject:</b> (id)anObject<b> closeEditor:</b> (BOOL)close_editor;<br />
    <div class="desc">
      
            Detaches an object from the receiver, closes
            editor if asked. GNUstep extension.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-detachObjects$">detachObjects:&nbsp;</a></h3>
    - (void) <b>detachObjects:</b> (NSArray*)anArray;<br />
    <div class="desc">
      
            Detaches an array of objects from the receiver.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-detachObjects$closeEditors$">detachObjects:&nbsp;closeEditors:&nbsp;</a></h3>
    - (void) <b>detachObjects:</b> (id)anObject<b> closeEditors:</b> (BOOL)close_editor;<br />
    <div class="desc">
      
            Detaches an array of objects from the receiver.
            Closes editor if asked. GNUstep extension.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-documentPath">documentPath&nbsp;</a></h3>
    - (NSString*) <b>documentPath</b>;<br />
    <div class="desc">
      
            The path of the file which represents the document.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-editor$didCloseForObject$">editor:&nbsp;didCloseForObject:&nbsp;</a></h3>
    - (void) <b>editor:</b> (id<<a rel="gsdoc" href="IBEditors.html#protocol$(IBEditors)">IBEditors</a>>)anEditor<b> didCloseForObject:</b> (id)anObject;<br />
    <div class="desc">
      
            Called when an editor is closed.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-editorForObject$create$">editorForObject:&nbsp;create:&nbsp;</a></h3>
    - (id<<a rel="gsdoc" href="IBEditors.html#protocol$(IBEditors)">IBEditors</a>>) <b>editorForObject:</b> (id)anObject<b> create:</b> (BOOL)flag;<br />
    <div class="desc">
      
            Returns the associated editor for
            <var>anObject</var>, if <var>flag</var> is
            <code>YES</code>, it will create an instance of the
            editor class if one does not already exist for the
            given object.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-editorForObject$inEditor$create$">editorForObject:&nbsp;inEditor:&nbsp;create:&nbsp;</a></h3>
    - (id<<a rel="gsdoc" href="IBEditors.html#protocol$(IBEditors)">IBEditors</a>>) <b>editorForObject:</b> (id)anObject<b> inEditor:</b> (id<<a rel="gsdoc" href="IBEditors.html#protocol$(IBEditors)">IBEditors</a>>)anEditor<b> create:</b> (BOOL)flag;<br />
    <div class="desc">
      
            Returns the associated subeditor for
            <var>anObject</var>, if <var>flag</var> is
            <code>YES</code>, it will create an instance of the
            editor.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-nameForObject$">nameForObject:&nbsp;</a></h3>
    - (NSString*) <b>nameForObject:</b> (id)anObject;<br />
    <div class="desc">
      
            Returns the name associated with the object.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-objectForName$">objectForName:&nbsp;</a></h3>
    - (id) <b>objectForName:</b> (NSString*)aName;<br />
    <div class="desc">
      
            Returns the object for the given <var>aName</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-objects">objects&nbsp;</a></h3>
    - (NSArray*) <b>objects</b>;<br />
    <div class="desc">
      
            Returns all objects in the receiver&apos;s name table.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-openEditorForObject$">openEditorForObject:&nbsp;</a></h3>
    - (id<<a rel="gsdoc" href="IBEditors.html#protocol$(IBEditors)">IBEditors</a>>) <b>openEditorForObject:</b> (id)anObject;<br />
    <div class="desc">
      
            Creates an editor, if necessary using
            editorForObject:create:, opens it
            and brings the window containing the editor to the
            front.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-outletsOfClass$">outletsOfClass:&nbsp;</a></h3>
    - (NSArray*) <b>outletsOfClass:</b> (NSString*)className;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-parentEditorForEditor$">parentEditorForEditor:&nbsp;</a></h3>
    - (id<<a rel="gsdoc" href="IBEditors.html#protocol$(IBEditors)">IBEditors</a>,<a rel="gsdoc" href="IBEditors.html#protocol$(IBSelectionOwners)">IBSelectionOwners</a>>) <b>parentEditorForEditor:</b> (id<<a rel="gsdoc" href="IBEditors.html#protocol$(IBEditors)">IBEditors</a>>)anEditor;<br />
    <div class="desc">
      
            Returns the parent of the given editor.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-parentOfObject$">parentOfObject:&nbsp;</a></h3>
    - (id) <b>parentOfObject:</b> (id)anObject;<br />
    <div class="desc">
      
            Return the parent of <var>anObject</var>. The File&apos;s
            Owner is the root object in the hierarchy, if
            anObject&apos;s parent is the Files&apos;s Owner, this
            method should return <code>nil</code>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-pasteType$fromPasteboard$parent$">pasteType:&nbsp;fromPasteboard:&nbsp;parent:&nbsp;</a></h3>
    - (NSArray*) <b>pasteType:</b> (NSString*)aType<b> fromPasteboard:</b> (NSPasteboard*)aPasteboard<b> parent:</b> (id)parent;<br />
    <div class="desc">
      
            Pastes the given type from the
            <var>aPasteboard</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-removeConnector$">removeConnector:&nbsp;</a></h3>
    - (void) <b>removeConnector:</b> (id<<a rel="gsdoc" href="IBConnectors.html#protocol$(IBConnectors)">IBConnectors</a>>)aConnector;<br />
    <div class="desc">
      
            Remove <var>aConnector</var> from the receiver.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-resignSelectionForEditor$">resignSelectionForEditor:&nbsp;</a></h3>
    - (void) <b>resignSelectionForEditor:</b> (id<<a rel="gsdoc" href="IBEditors.html#protocol$(IBEditors)">IBEditors</a>>)editor;<br />
    <div class="desc">
      
            The current <var>editor</var> wants to give up the
            selection, this method iterates over all editors
            and determines if any editors will take over the
            selection. If one is found it is activated.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-setName$forObject$">setName:&nbsp;forObject:&nbsp;</a></h3>
    - (void) <b>setName:</b> (NSString*)aName<b> forObject:</b> (id)object;<br />
    <div class="desc">
      
            Set <var>aName</var> for <var>object</var> in the
            receiver. This replaces any name the
            <var>object</var> may have previously had.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-setSelectionFromEditor$">setSelectionFromEditor:&nbsp;</a></h3>
    - (void) <b>setSelectionFromEditor:</b> (id<<a rel="gsdoc" href="IBEditors.html#protocol$(IBEditors)">IBEditors</a>>)anEditor;<br />
    <div class="desc">
      
            Sets the currently selected object from the given
            editor.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(IBDocuments)-touch">touch&nbsp;</a></h3>
    - (void) <b>touch</b>;<br />
    <div class="desc">
      
            Mark document as having been changed.
          
    </div>
    <hr width="25%" align="left" />
</div>
    <br />
    </font>
</body>
</html>
